=== Makefile ===
all:	lib

src/libagg.a:
	cd src; make

lib:	src/libagg.a

clean:
	cd src; make clean
