## agg 2.6.1-r134+dfsg1

=== debian/changelog ===
agg (1:2.6.1-r134+dfsg1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:36:21 +0000

agg (1:2.6.1-r134+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061878

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:34:12 +0000

agg (1:2.6.1-r134+dfsg1-2) unstable; urgency=medium

  * Update symbols file with gcc-10 symbols (Closes: #956985)

 -- John Horigan <john@glyphic.com>  Sun, 19 Apr 2020 18:24:18 -0700

agg (1:2.6.1-r134+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.5.0
  * Update debhelper/compat to level 12

 -- John Horigan <john@glyphic.com>  Thu, 12 Mar 2020 16:40:49 -0700
