=== debian/control ===
Source: agg
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Horigan <john@glyphic.com>
Section: libs
Build-Depends: dpkg-dev (>= 1.22.5), autoconf,
               automake,
               debhelper-compat (= 12),
               libfreetype6-dev,
               libsdl1.2-dev,
               libtool,
               libx11-dev,
               pkg-config
Standards-Version: 4.5.0.0
Homepage: http://www.antigrain.com
Rules-Requires-Root: binary-targets

Package: libagg-dev
Section: libdevel
Conflicts: libagg23-dev, libagg2t64, libagg2-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: AntiGrain Geometry graphical toolkit (static development files)
 Anti-Grain Geometry (AGG) is a general purpose graphical toolkit written
 completely in standard and platform independent C++. It can be used in many
 areas of computer programming where high quality 2D graphics is an essential
 part of the project.
 .
 This package contains the development files for building applications using
 agg, static libraries only.


Package: libagg2-dev
Section: libdevel
Conflicts: libagg23-dev, libagg-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libagg2t64 (= ${binary:Version})
Description: AntiGrain Geometry graphical toolkit (static and shared development files)
 Anti-Grain Geometry (AGG) is a general purpose graphical toolkit written
 completely in standard and platform independent C++. It can be used in many
 areas of computer programming where high quality 2D graphics is an essential
 part of the project.
 .
 This package contains the development files for building applications using
 agg, static and shared libraries.


Package: libagg2t64
Provides: ${t64:Provides}
Replaces: libagg2
Breaks: libagg2 (<< ${source:Version})
Conflicts: libagg23-dev, libagg-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AntiGrain Geometry graphical toolkit (runtime files)
 Anti-Grain Geometry (AGG) is a general purpose graphical toolkit written
 completely in standard and platform independent C++. It can be used in many
 areas of computer programming where high quality 2D graphics is an essential
 part of the project.
 .
 This package contains runtime libraries for applications built using the
 libagg shared library.
