=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: agg
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Horigan <john@glyphic.com>
+Maintainer: John Horigan <john@glyphic.com>
 Section: libs
 Build-Depends: dpkg-dev (>= 1.22.5), autoconf,
                automake,
-               debhelper-compat (= 12),
-               libfreetype6-dev,
+               debhelper-compat (= 13),
+               libfreetype-dev,
                libsdl1.2-dev,
                libtool,
                libx11-dev,
-               pkg-config
-Standards-Version: 4.5.0.0
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: http://www.antigrain.com
+Vcs-Browser: https://sourceforge.net/p/agg/svn/HEAD/tree/
+Vcs-Svn: https://svn.code.sf.net/p/agg/svn/
 Rules-Requires-Root: binary-targets
 
 Package: libagg-dev
